#!/bin/bash

/opt/bin/setup_touchscreen.sh

export LD_LIBRARY_PATH=/opt/lib

export TSLIB_CALIBFILE=/etc/pointercal
export TSLIB_CONFFILE=/etc/ts.conf
export TSLIB_TSDEVICE=/dev/input/event0
export TSLIB_PLUGINDIR=/usr/lib/ts
export QWS_MOUSE_PROTO=tslib

# Set default console log level (should probably be moved to kernel command line parameter if possible)
echo 1 > /proc/sys/kernel/printk

# Set overcommit ratio and method (should probably be moved to kernel settings if possible)
echo 95 > /proc/sys/vm/overcommit_ratio
echo 2 > /proc/sys/vm/overcommit_memory

# Set stack limit
ulimit -s 256

