#!/bin/bash

source /opt/bin/setup_application.sh

# base
cd /opt

echo "Starting System server ..."
(bin/system_server > /dev/null 2>&1) &

echo "Starting IO server ..."
(bin/io_server > /dev/null 2>&1) &

echo "Starting J1939 server ..."
(bin/j1939_svr > /dev/null 2>&1) &

echo "Starting RIO server ..."
(bin/modbus_rio_server > /dev/null 2>&1) &

echo "Starting Modbus TCP server ..."
(bin/modbus_tcp_server > /dev/null 2>&1) &

echo "Starting Http server ..."
(RP_LOG_LEVEL=0 bin/httpd > /dev/null 2>&1) &

echo "Starting RP410 gui ...."
(bin/RP210 -qws -geometry -0-0 -nomouse > /dev/null 2>&1) &
