function setVisible(id, visible) {
    var elem = document.getElementById(id);
    var elem_label = document.getElementById(id + "_label");
    if(elem) {
        if(visible) {
            elem.style.display = "";
        } else {
            elem.style.display = "none";
        }
    }
    if(elem_label) {
        if(visible) {
            elem_label.style.display = "";
        } else {
            elem_label.style.display = "none";
        }
    }
}

function cameraUpdate() {
    var enabledElem = document.getElementById("camera_enabled");
    var typeElem = document.getElementById("camera_type");
    if(enabledElem && typeElem) {
        var enabled = (enabledElem.value == "1");
        var type = typeElem.value;
        var generic_type = (type == "3");

        setVisible("camera_type", enabled);
        setVisible("camera_protocol", enabled && generic_type);
        setVisible("camera_ip_row", enabled);
        setVisible("camera_port_row", enabled && generic_type);
        setVisible("camera_path_row", enabled && generic_type);
        setVisible("camera_username_row", enabled && generic_type);
        setVisible("camera_password_row", enabled && generic_type);
    }
}

function cameraChange(elem) {
    if(!elem) {
        return;
    }
    if(elem.id == "camera_protocol") {
        var portElem = document.getElementById("camera_port");
        if(portElem) {
            switch(elem.value) {
            case "2":
                portElem.value = "554";
                break;
                
            default:
                portElem.value = "80";
            }
        }
    }
    cameraUpdate();
}
