#!/bin/bash

PID=`pidof system_startup_proc`
if [ "x$PID" != "x" ]; then
    echo "Stopping system_startup_proc($PID)"
    kill $PID
fi

PID=`pidof httpd`
if [ "x$PID" != "x" ]; then
    echo "Stopping httpd($PID)"
    kill $PID
fi

PID=`pidof io_server`
if [ "x$PID" != "x" ]; then
    echo "Stopping io_server($PID)"
    kill $PID
fi

PID=`pidof j1939_svr`
if [ "x$PID" != "x" ]; then
    echo "Stopping j1939_svr($PID)"
    kill $PID
fi

PID=`pidof j1939_2_svr`
if [ "x$PID" != "x" ]; then
    echo "Stopping j1939_2_svr($PID)"
    kill $PID
fi

PID=`pidof modbus_rio_server`
if [ "x$PID" != "x" ]; then
    echo "Stopping modbus_rio_server($PID)"
    kill $PID
fi

PID=`pidof modbustcp_server`
if [ "x$PID" != "x" ]; then
    echo "Stopping modbustcp_server($PID)"
    kill $PID
fi

PID=`pidof system_server`
if [ "x$PID" != "x" ]; then
    echo "Stopping system_server($PID)"
    kill $PID
fi

PID=`pidof sound_server`
if [ "x$PID" != "x" ]; then
    echo "Stopping sound_server($PID)"
    kill $PID
fi

PID=`pidof RP210`
if [ "x$PID" != "x" ]; then
    echo "Stopping RP210($PID)"
    kill $PID
fi

sleep 2

# Force kill
PID=`pidof system_startup_proc`
if [ "x$PID" != "x" ]; then
    echo "[FORCE] Stopping system_startup_proc($PID)"
    kill -9 $PID
fi

PID=`pidof httpd`
if [ "x$PID" != "x" ]; then
    echo "[FORCE] Stopping httpd($PID)"
    kill -9 $PID
fi

PID=`pidof io_server`
if [ "x$PID" != "x" ]; then
    echo "[FORCE] Stopping io_server($PID)"
    kill -9 $PID
fi

PID=`pidof j1939_svr`
if [ "x$PID" != "x" ]; then
    echo "[FORCE] Stopping j1939_svr($PID)"
    kill -9 $PID
fi

PID=`pidof j1939_2_svr`
if [ "x$PID" != "x" ]; then
    echo "[FORCE] Stopping j1939_2_svr($PID)"
    kill -9 $PID
fi

PID=`pidof modbus_rio_server`
if [ "x$PID" != "x" ]; then
    echo "[FORCE] Stopping modbus_rio_server($PID)"
    kill -9 $PID
fi

PID=`pidof modbustcp_server`
if [ "x$PID" != "x" ]; then
    echo "[FORCE] Stopping modbustcp_server($PID)"
    kill -9 $PID
fi

PID=`pidof system_server`
if [ "x$PID" != "x" ]; then
    echo "[FORCE] Stopping system_server($PID)"
    kill -9 $PID
fi

PID=`pidof sound_server`
if [ "x$PID" != "x" ]; then
    echo "[FORCE] Stopping sound_server($PID)"
    kill -9 $PID
fi

PID=`pidof RP210`
if [ "x$PID" != "x" ]; then
    echo "[FORCE] Stopping RP210($PID)"
    kill -9 $PID
fi
